import {
  LicenseSummaryStatusEnum
} from "./chunk-7QGD64EZ.js";
import {
  authentikEnterpriseContext,
  c
} from "./chunk-JOYOY7UY.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/elements/Interface/licenseSummaryProvider.ts
function WithLicenseSummary(superclass, subscribe = true) {
  class WithEnterpriseProvider extends superclass {
    get hasEnterpriseLicense() {
      return this.licenseSummary?.status !== LicenseSummaryStatusEnum.Unlicensed;
    }
  }
  __decorateClass([
    c({ context: authentikEnterpriseContext, subscribe })
  ], WithEnterpriseProvider.prototype, "licenseSummary", 2);
  return WithEnterpriseProvider;
}

export {
  WithLicenseSummary
};
//# sourceMappingURL=chunk-H4GRIASJ.js.map
