import {
  AkDualSelectProvider
} from "./chunk-GSF6WJR4.js";
import {
  Kt
} from "./chunk-U4AAGJML.js";
import {
  n,
  t
} from "./chunk-JOYOY7UY.js";
import {
  ke
} from "./chunk-XFT4DB4U.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/elements/ak-dual-select/ak-dual-select-dynamic-selected-provider.ts
var AkDualSelectDynamic = class extends AkDualSelectProvider {
  constructor() {
    super(...arguments);
    this.selector = ([_key, _]) => false;
    this.firstUpdateHasRun = false;
  }
  willUpdate(changed) {
    super.willUpdate(changed);
    if (!this.firstUpdateHasRun && this.options.length > 0) {
      this.firstUpdateHasRun = true;
      this.selected = Array.from(
        /* @__PURE__ */ new Set([...this.selected, ...this.options.filter(this.selector)])
      );
    }
  }
  render() {
    return ke`<ak-dual-select
            ${Kt(this.dualSelector)}
            .options=${this.options}
            .pages=${this.pagination}
            .selected=${this.selected}
            available-label=${this.availableLabel}
            selected-label=${this.selectedLabel}
        ></ak-dual-select>`;
  }
};
__decorateClass([
  n({ attribute: false })
], AkDualSelectDynamic.prototype, "selector", 2);
AkDualSelectDynamic = __decorateClass([
  t("ak-dual-select-dynamic-selected")
], AkDualSelectDynamic);
//# sourceMappingURL=chunk-PEAA73KW.js.map
