import {
  en_exports
} from "./chunk-Q6O6YTCQ.js";
import {
  msg
} from "./chunk-XFT4DB4U.js";

// src/elements/ak-locale-context/definitions.ts
var enLocale = en_exports;
var debug = [
  "pseudo-LOCALE",
  /^pseudo/i,
  () => msg("Pseudolocale (for testing)"),
  async () => await import("./pseudo-LOCALE-O4IUDXFK.js")
];
var LOCALE_TABLE = [
  ["en", /^en([_-]|$)/i, () => msg("English"), async () => await import("./en-PBUMBCIK.js")],
  ["es", /^es([_-]|$)/i, () => msg("Spanish"), async () => await import("./es-63HW4YGY.js")],
  ["de", /^de([_-]|$)/i, () => msg("German"), async () => await import("./de-3WPZGZPQ.js")],
  ["fr", /^fr([_-]|$)/i, () => msg("French"), async () => await import("./fr-ABX4V7OK.js")],
  ["ko", /^ko([_-]|$)/i, () => msg("Korean"), async () => await import("./ko-UAFNBCC6.js")],
  ["nl", /^nl([_-]|$)/i, () => msg("Dutch"), async () => await import("./nl-A325M5MW.js")],
  ["pl", /^pl([_-]|$)/i, () => msg("Polish"), async () => await import("./pl-RZKWPD75.js")],
  ["ru", /^ru([_-]|$)/i, () => msg("Russian"), async () => await import("./ru-WOV4C2PO.js")],
  ["tr", /^tr([_-]|$)/i, () => msg("Turkish"), async () => await import("./tr-DKJKI5BO.js")],
  ["zh-Hant", /^zh[_-](HK|Hant)/i, () => msg("Chinese (traditional)"), async () => await import("./zh-Hant-3BRN2WJS.js")],
  ["zh_TW", /^zh[_-]TW$/i, () => msg("Taiwanese Mandarin"), async () => await import("./zh_TW-GU7VGDS3.js")],
  ["zh-Hans", /^zh(\b|_)/i, () => msg("Chinese (simplified)"), async () => await import("./zh-Hans-EZN6PDTH.js")],
  debug
];
var LOCALES = LOCALE_TABLE.map(([code, match, label, locale]) => ({
  code,
  match,
  label,
  locale
}));

export {
  enLocale,
  LOCALES
};
//# sourceMappingURL=chunk-4P2EEOFI.js.map
